/*
 * @Descripttion:
 * @version:
 * @Author: 王三华
 * @Date: 2023-10-10 14:06:25
 */
const http = uni.$u.http;

// 待办数据
export const waitApproval = (params) =>
  http.get('/system/manage/index/wait-approval', { params });
// 已办数据
export const completeApproval = (params) =>
  http.get('/system/manage/index/complete-approval', { params });
// 登录
export const login = (params) => http.post('/system/auth/manage/login', params);
// 审批业务类型
export const approvalBusiness = (params) =>
  http.get('/system/pub/enums/approval-business', { params });
// 来源下拉
export const signSource = (params) =>
  http.get('/system/pub/enums/sign-source', { params });
// 审批下拉
export const approvalOperation = (params) =>
  http.get('/system/pub/enums/approval-operation', { params });
// 审批状态
export const approvalStatus = (params) =>
  http.get('/system/pub/enums/approval-status-submit', { params });
// 签呈类型
export const signType = (params) =>
  http.get('/system/pub/enums/sign-type', { params });
// 接收数据
export const receiveApprovalList = (params) =>
  http.get('/system/manage/index/receive-approval-list', { params });

// 审批详情
export const approvalDetails = (id) =>
  http.get('/system/manage/approval-business/detail/' + id);
// 签呈审核
export const approvalTrue = (params) =>
  http.put('/system/manage/approval-business/approval', params);
// 接收
export const receiveApproval = (params) =>
  http.put('/system/manage/index/receive-approval', params);

// 充值币种类型选择
export const getenumsCzAccount = (params) =>
  http.get('/system/manage/account/rechargeList', { params });
// 交款方式选择
export const getpaymentType = (params) =>
  http.get('/system/pub/enums/get-payment-type', { params });
// 已读状态
export const readState = (params) =>
  http.get('/system/pub/enums/read-state', { params });
